# Class ClipboardFiles | EchoHub Documentation
Reads file paths that live on the OS clipboard as a file list (e.g. after copying a file in Explorer/Finder/Nautilus), which terminals do not paste as text. Lets Ctrl+V attach a copied file directly instead of requiring the user to paste a raw path.

# Class ClipboardFiles

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

Reads file paths that live on the OS clipboard as a file list (e.g. after copying a file in Explorer/Finder/Nautilus), which terminals do not paste as text. Lets Ctrl+V attach a copied file directly instead of requiring the user to paste a raw path.

    public static class ClipboardFiles

Inheritance
  object
  ClipboardFiles

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### TryGetFiles(out List<string>)

    public static bool TryGetFiles(out List<string> files)

#### Parameters

`files` List<string>

#### Returns

bool